# Class Controller

#### Hierarchy

- Controller

- Defined in src/geolocation/component.js:95

#####
Index

### Properties

$scope_
accuracyFeature_
featureOverlay_
follow_
geolocation_
gettextCatalog_
loading
map
options
positionFeature_
viewChangedByMe_

### Methods

$onInit
autoRotateListener
handleRotate_
handleViewChange_
setPosition_
toggleTracking
track_
untrack_

## Properties

### $scope_

$scope_: IScope

- Defined in src/geolocation/component.js:103

### accuracyFeature_

accuracyFeature_: Feature<Geometry>

- Defined in src/geolocation/component.js:192

### featureOverlay_

featureOverlay_: FeatureOverlay

- Defined in src/geolocation/component.js:133

### follow_

follow_: boolean

Whether to recenter the map at the position it gets updated

- Defined in src/geolocation/component.js:201
- Defined in src/geolocation/component.js:287
- Defined in src/geolocation/component.js:293
- Defined in src/geolocation/component.js:330

### geolocation_

geolocation_: Geolocation

- Defined in src/geolocation/component.js:138

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/geolocation/component.js:108

### loading

loading: boolean

- Defined in src/geolocation/component.js:120

### map

map: Map

- Defined in src/geolocation/component.js:113

### options

options: ngeoGeolocationOptions

- Defined in src/geolocation/component.js:96

### positionFeature_

positionFeature_: Feature<Geometry>

- Defined in src/geolocation/component.js:185

### viewChangedByMe_

viewChangedByMe_: boolean

A flag used to determine whether the view was changed by me or something else. In the latter case, stop following.

- Defined in src/geolocation/component.js:209
- Defined in src/geolocation/component.js:310
- Defined in src/geolocation/component.js:321

## Methods

### $onInit

- $onInit(): void

- #### Returns void

  - Defined in src/geolocation/component.js:125

### autoRotateListener

- autoRotateListener(): void

- #### Returns void

  - Defined in src/geolocation/component.js:335

### handleRotate_

- handleRotate_(eventAlpha: number, currentAlpha: number): number

- Handle rotation.

  ### Returns

  #### Parameters

  - ##### eventAlpha: number

  - ##### currentAlpha: number

  #### Returns number

  - Defined in src/geolocation/component.js:381

### handleViewChange_

- handleViewChange_(event: Event | BaseEvent): void

- #### Parameters

  - ##### event: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/geolocation/component.js:328

### setPosition_

- setPosition_(): void

- #### Returns void

  - Defined in src/geolocation/component.js:298

### toggleTracking

- toggleTracking(): void

- #### Returns void

  - Defined in src/geolocation/component.js:253

### track_

- track_(): void

- #### Returns void

  - Defined in src/geolocation/component.js:284

### untrack_

- untrack_(): void

- #### Returns void

  - Defined in src/geolocation/component.js:291

Generated using TypeDoc